import math

def find_path(a, b):
    num1, den1 = 0, 1
    num2, den2 = 1, 0
    path = []

    while True:
        num_new = num1 + num2
        den_new = den1 + den2

        if num_new == a and den_new == b:
            return ''.join(path)

        if num_new > a or (num_new == a and den_new > b):
            return False
        
        if a * den_new > b * num_new:
            path.append('R')
            num1, den1 = num_new, den_new
        else:
            path.append('L')
            num2, den2 = num_new, den_new

a, b = map(int, input().split())

k = math.gcd(a, b)
a, b = a // k, b // k
result = find_path(a, b)

if a==b:
    print('R')
elif result is False:
    print("no")
else:
    print('R' + result)