import math

def find_path(a, b):
    num1, den1 = 0, 1
    num2, den2 = 1, 0
    path = []
    c=0
    while True:
        num_new = num1 + num2
        den_new = den1 + den2
        if num_new == a and den_new == b:
            return ''.join(path)
        if a * den_new > b * num_new:
            path.append('R')
            num1, den1 = num_new, den_new
        else:
            path.append('L')
            num2, den2 = num_new, den_new
        c+=1
        if c>=50:
            return False

a, b = map(int, input().split())
k=math.gcd(a,b)
a, b = a//k, b//k

result = find_path(a, b)
if result:
    print('R'+result)
else:
    print("no")